Commit b5d2fbc5 authored by Vincent Mrose's avatar Vincent Mrose 💬
Browse files

Updated CHANGELOG to reflect the changes in Version 0.9.2

parent 09da694d
......@@ -4,16 +4,22 @@ All notable changes to this project will be documented in this file.
The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/).
## [Known issues]
- Guest transactions don't reflect the actual input data in the CrefoPay Backend
- Transactions that couldn't be reserved still create an order.
- You can check a successful authorization by selecting the order in the magento backend and visiting the "Transactions" view for this order. If no authorization is visible, the reservation failed.
- EXPIRED Notifications cancel orders that were not paid with CrefoPay methods
- Some notifications don't set an order status due to a failed processing function.
- Terms and Conditions can not be confirmed due to a checkbox not being displayed. See [#1](https://repo.crefopay.de/crefopay/magento2/issues/1)
- Reloading the payment selection does not display the credit card inputs again
## [Unreleased]
## [0.9.2] - 2019-03-01
### Fixed
- Reserve now displays an error message if it fails and no longer creates an order.
- The module now works with PHP 7.0 as well
- The module now works with Magento 2.2.0 as well
- Reserve now displays an error message if it fails and no longer creates an order
- Terms and Conditions can now be confirmed (#1)
- Notifications are now processing correctly and add order status history comments
- Notifications are only processed if the orders are paid via CrefoPay
- Guest checkout uses the input data by the customer and no longer some hard-coded data
- The basket content is now correctly sent to CrefoPay
### Added
- Cancellation on a third party site will cancel the Magento 2 order and display a link to re-order immediately
## [0.9.1] - 2019-02-11
### Added
......
......@@ -9,12 +9,11 @@
Please refer to the section in the [Changelog](CHANGELOG.md#known-issues)
## Dependencies
PHP 7.1 and higher.
Magento 2.2.4 and higher.
We are currently working on making the module available for PHP 7.0 and Magento 2.2.0 - 2.2.3 as well.
PHP 7.0 and higher.
Magento 2.2.0 and higher.
This module depends on the CrefoPay PHP Library
To install that library you will need to add the dependency to the magento composer.json.
This module depends on the CrefoPay PHP Library.
To install that library you will need to add the dependency to the magento composer.json.
This can be done by running `composer require crefopay/php-clientlibrary:1.*` in the magento installation folder.
You can also manually add the line `"crefopay/php-clientlibrary": "1.*"` in the composer.json file under the require section.
\ No newline at end of file
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment